Summary:  The @stake Sleuth Kit (TASK) is a forensic toolkit
Name: sleuthkit
Version: 2.01
Release: oss_fc2_1
Copyright: GPL/IBM
Group: Applications/Internet
Source0: http://prdownloads.sourceforge.net/sleuthkit/%{name}-%{version}.tar.gz
#Source1: http://www.sleuthkit.org/sleuthkit/fatfs_dent.c
#Patch0:sleuthkit-1.63.patch
Patch0: sorter.patch
Url: http://www.sleuthkit.org
BuildRoot: /var/tmp/%{name}-root
Prefix: /usr
Packager: Ralf Spenneberg <ralf@spenneberg.de> - OpenSource Security
Obsoletes: task

%description
The Sleuthkit (former The @stake Sleuth Kit, TASK) is an open source forensic toolkit for analyzing Microsoft and UNIX file systems.  TASK enables investigators to identify and recover evidence from images acquired during incident response or from live systems.  TASK is open source, which allows investigators to verify the actions of the tool or customize it to specific needs.


%prep
%setup 
#cp %{SOURCE1} src/fstools
#%patch0 -p1

%build
#cd devel-0.2
#CFLAGS="$RPM_OPT_FLAGS" \
#./setup
rm -rf $RPM_BUILD_ROOT
make prefix=/usr mandir=/usr/share/man datadir=/usr/share/task DESTDIR=$RPM_BUILD_ROOT
cd src/file
make clean
./configure --prefix=/usr --mandir=/usr/share/man --datadir=/usr/share/task
make
cd ../..
patch bin/sorter < $RPM_SOURCE_DIR/sorter.patch
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/include/sleuthkit
cp bin/* $RPM_BUILD_ROOT/usr/sbin
cp man/man1/* $RPM_BUILD_ROOT/usr/share/man/man1
ln -s /usr/bin/file $RPM_BUILD_ROOT/usr/sbin/file
mv $RPM_BUILD_ROOT/usr/share/man/man1/file.1 $RPM_BUILD_ROOT/usr/share/man/man1/file_sleuthkit.1
mv $RPM_BUILD_ROOT/usr/include/*.h $RPM_BUILD_ROOT/usr/include/sleuthkit
mv $RPM_BUILD_ROOT/usr/share/man/man3/libmagic.3 $RPM_BUILD_ROOT/usr/share/man/man3/libmagic_sleuthkit.3
rm  -rf $RPM_BUILD_ROOT/usr/src/redhat/BUILD/sleuthkit-%{version}

%install
#rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT/usr/man/man1
#mkdir -p $RPM_BUILD_ROOT/usr/sbin
#mkdir -p $RPM_BUILD_ROOT/usr/lib
#mkdir -p $RPM_BUILD_ROOT/etc
#cp bin/* $RPM_BUILD_ROOT/usr/sbin
#cp man/man1/* $RPM_BUILD_ROOT/usr/man/man1
#cp -r lib/Date $RPM_BUILD_ROOT/lib
#cp share/magic $RPM_BUILD_ROOT/usr/share

%clean

%post
echo "Congratulations."
echo "You have successfully installed The Sleuth Kit"
echo "The tools have been installed in the /usr/sbin directory"
echo "You probably want to change your path to search this "
echo "directory first!"


%files
%defattr(-,root,root)
%doc CHANGES.txt INSTALL.txt licenses/* README.txt TODO.txt docs/*
%attr(755,root,root)       /usr/sbin/*
%attr(755,root,root) %config /usr/share/task
/usr/share/man/*/*
/usr/include/*

%changelog
* Sat Apr 16 2005 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to 2.01

* Sat Sep 18 2004 Ralf Spenneberg <ralf@spenneberg.net>
- Disabled sleuthkit file command
- Created symbolic link 

* Sat Sep 18 2004 Ralf Spenneberg <ralf@spenneberg.net>
- Fixed bug in Sorter

* Sun Sep 12 2004 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to 1.72

* Mon Aug 30 2004 Ralf Spenneberg <ralf@spenneberg.net>
- Fixed bug in fls
- Posted on sleuthkit-dev on Aug 5th
- Posted on sleuthkit-users on Aug 28th

* Mon Aug 09 2004 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to 1.71
- Moved to Fedora Core 2

* Mon Mar 01 2004 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to 1.68

* Tue Nov 18 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to 1.66

* Fri Aug 29 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to 1.65

* Sun Aug 03 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to 1.64
- Two Bugfixes: documentation and compiling on Linux

* Sat Aug 02 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to 1.63
- New Media Management tool: mmls
- Several Bugfixes

* Fri Apr 04 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to 1.61
- Name Change: TASK -> Sleuth Kit

* Fri Feb 14 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to 1.60
- Fixed several paths

* Fri Jan 03 2003 Ralf Spenneberg <ralf@spenneberg.net>
- Updated to 1.52

* Tue Jul 23 2002 Ralf Spenneberg <ralf@spenneberg.de>
- Created task rpm

